AMFLUSH(8)

NAME
amflush - flush Amanda backup files from holding disk to tape

SYNOPSIS

amflush [-b] [-f] [--exact-match] [-s] [-D datestamp] [-o configoption...] config [host [disk...]...]

DESCRIPTION

Amflush writes Amanda backups from the holding disks to tape, and updates the Amanda info database and tapelist(5) accordingly. It is similar to amdump, but does not perform any backup operations on Amanda clients. Backups may stay in a holding disk when something is wrong with the tape at the time amdump is run. When this happens, the problem must be corrected and amflush run by hand.

The command optionally takes a set of DLE specifications (see amanda-match(7)) to narrow the DLEs for which dumps will be flushed. All dumps in holding are flushed if no expressions are given.

OPTIONS

-b
    Run amflush in batch mode. All datestamps are selected unless specified. The flush is started without confirmation.

-f
    Run amflush in foreground. Amflush normally detaches itself from the tty and runs as a background process. With the -f option, amflush stays in the foreground. This is useful if amflush is run as part of another script that, for example, advances the tape after the flush is completed.

-s
    Write log to stdout/stderr instead of the amflush log file. Requires the -f option.

-D datestamp
    specify a datestamp expression you want to flush; see amanda-match(7) for details on the format of this expression. -D 20001225-7 will flush all dumps from 25 december 2000 to 27 december 2000.

--exact-match
    The host and disk are parsed as exact values

host [disk]*
    Specify the host and disk on which the command will work -- see the description of DLE specifications in amanda-match(7).

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

You can specify many host/disk expressions, only disks that match an expression will be flushed. All disks are flushed if no expressions are given. see the "HOST & DISK EXPRESSION" section of amanda(8) for a description.

Amflush will look in the holding disks specified by the amanda.conf file in /usr/local/etc/amanda/config for any non-empty Amanda work directories. It then prompts you to select a directory or to process all of the directories. The work directories in the holding disks are named by the date at the time amdump was run, e.g. 19910215.

See the amanda(8) man page for more details about Amanda.

EXAMPLE

Amflush will search for holding areas associated with the daily configuration. After you select which holding area to flush, amflush writes the data to tape, updates the databases and sends a mail report similar to amdump(8).
% amflush MyConfig
Scanning /amanda-hold...
  20001113: found Amanda directory.
  20001114: found Amanda directory.
Multiple Amanda directories, please pick one by letter:
  A. 20001113
  B. 20001114
Select directories to flush [A..B]: [ALL] all
Flushing dumps in 20001113, 20001114,
today: 20001117
to tape drive /dev/rmt/0mn.
Expecting tape DMP014 or a new tape.  (The last dumps were to tape DMP013)
Are you sure you want to do this? yes
Running in background, you can log off now.
You'll get mail when amflush is finished.

The following example causes amflush to flush everything to tape, then ejects tape, using 'at' to run the task in the background.
% echo 'amflush -b -f MyConfig && mt offline' | at now

EXIT CODE
The exit code of amflush is the ORed value of:
 0  = success
 1  = error
 4  = a dle failed
 8  = Don't know the status of a dle (RESULT_MISSING in the report)
 16 = tape error or no more tape

SEE ALSO

amanda(8), amdump(8), amanda-match(7)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

James da Silva <jds@amanda.org>

Stefan G. Weichinger <sgw@amanda.org>